/*importing d3 functions using es6*/
import {select , range} from 'd3';
import {fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruit = type => ({
  type,
	id :Math.random()
});

let fruits = range(5)
	.map(()=>makeFruit('apple'));

let selectedFruit = null;
  
//returns id on clicking the circle

const setSelectedFruit = id => {
	selectedFruit = id;
  render();

};
const render = () =>
{
	fruitBowl(svg , {
  		fruits,
    	height: parseFloat(svg.attr('height')),
    	setSelectedFruit,
    	selectedFruit
  }) 
};

render();

//Eat an apple
setTimeout(() => {
  fruits.pop();
  render();
} ,1000);

//Replacing an apple with lemon
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
} ,2000);

setTimeout(() => {
  fruits = fruits.filter((d,i) => i !== 1 );
  render();
} ,3000);


